org.apache.mina.filter.util

## Class NoopFilter

- java.lang.Object
- - org.apache.mina.core.filterchain.IoFilterAdapter
  - - org.apache.mina.filter.util.NoopFilter

- All Implemented Interfaces:
    IoFilter

      public class NoopFilter
      extends IoFilterAdapter

  A Noop filter. It does nothing, as all the method are already implemented in the super class.
  This class is used by tests, when some faked filter is needed to test that the chain is working properly when adding or removing a filter.
  Author:
    Apache MINA Project

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.mina.core.filterchain.IoFilter

      `IoFilter.NextFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopFilter()` Default Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.core.filterchain.IoFilterAdapter

      `destroy, exceptionCaught, filterClose, filterWrite, init, messageReceived, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionClosed, sessionCreated, sessionIdle, sessionOpened, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopFilter

          public NoopFilter()

      Default Constructor.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.